IARRAY_CREATE_AND_SETUP(3)

EXPERIMENTAL_FUNC
iarray_create_and_setup - Create an Intelligent Array and setup.

SYNOPSIS
#include <karma_iarray.h>

flag iarray_create_and_setup

(iarray *array, multi_array *multi_desc, flag inform, unsigned int num_dim, unsigned int required_type, double *min, double *max, flag discard_zero_range, KwcsAstro *ap)

DESCRIPTION
This routine will attempt to guess the filetype of a file and in the file, converting to an Intelligent Array if possible. The routine then performs some simple checks and some other convenience functions.

array
    The Intelligent Array is written here. An existing array pointed to by this is deallocated.

multi_desc
    The multi_array descriptor. If this is NULL, any existing data is deallocated and no further action is taken.

inform
    If TRUE, the routine displays some informative messages.

num_dim
    The number of dimensions required. If this is 0, any number of dimensions is allowed.

required_type
    The required data type. If this is NONE, then no type is required.

min The minimum data value in the array is written here. If this is NULL nothing is written here.

max The maximum data value in the array is written here. If this is NULL nothing is written here.

discard_zero_range
    If TRUE, and the range of the data is zero, the routine fails.

ap  The KwcsAstro object is written here. This may be NULL.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/